Package org.drinkless.tdlib

# Class TdApi.SetMessageSenderBotVerification

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.SetMessageSenderBotVerification

Enclosing class:
  `TdApi`

public static class TdApi.SetMessageSenderBotVerification extends TdApi.Function<TdApi.Ok>
Changes the verification status of a user or a chat by an owned bot.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `botUserId`
  Identifier of the owned bot, which will verify the user or the chat.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `customDescription`
  Custom description of verification reason; 0-getOption("bot_verification_custom_description_length_max").
  `TdApi.MessageSender`
  `verifiedId`
  Identifier of the user or the supergroup or channel chat, which will be verified by the bot.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetMessageSenderBotVerification()`
  Default constructor for a function, which changes the verification status of a user or a chat by an owned bot.
  `SetMessageSenderBotVerification(long botUserId, TdApi.MessageSender verifiedId, String customDescription)`
  Creates a function, which changes the verification status of a user or a chat by an owned bot.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### botUserId

    public long botUserId
    Identifier of the owned bot, which will verify the user or the chat.

  - ### verifiedId

    public TdApi.MessageSender verifiedId
    Identifier of the user or the supergroup or channel chat, which will be verified by the bot.

  - ### customDescription

    public String customDescription
    Custom description of verification reason; 0-getOption("bot_verification_custom_description_length_max"). If empty, then "was verified by organization "organization_name"" will be used as description. Can be specified only if the bot is allowed to provide custom description.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SetMessageSenderBotVerification

    public SetMessageSenderBotVerification()
    Default constructor for a function, which changes the verification status of a user or a chat by an owned bot.

    Returns `Ok`

  - ### SetMessageSenderBotVerification

    public SetMessageSenderBotVerification(long botUserId, TdApi.MessageSender verifiedId, String customDescription)
    Creates a function, which changes the verification status of a user or a chat by an owned bot.

    Returns `Ok`

    Parameters:
      `botUserId` - Identifier of the owned bot, which will verify the user or the chat.
      `verifiedId` - Identifier of the user or the supergroup or channel chat, which will be verified by the bot.
      `customDescription` - Custom description of verification reason; 0-getOption("bot_verification_custom_description_length_max"). If empty, then "was verified by organization "organization_name"" will be used as description. Can be specified only if the bot is allowed to provide custom description.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR